<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__write__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_write_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__write__t_1a017e9fda3ce497813708e593907d0fc8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_write_t::handle</definition>
        <argsstring />
        <name>handle</name>
        <briefdescription>
<para>Handle of attribute to write. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="208" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="208" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__write__t_1a41f6b2fc46122bce8caace50a220ad27" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_gatt_write_t::is_prep</definition>
        <argsstring />
        <name>is_prep</name>
        <briefdescription>
<para>TRUE if this is a prepare write request. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="209" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="209" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__write__t_1afed2b3fd9e647b9245e34745b3f7b503" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_gatt_write_t::is_req</definition>
        <argsstring />
        <name>is_req</name>
        <briefdescription>
<para>TRUE if this is a write request. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="210" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="210" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__write__t_1a1bc325282bad03df3b3de1a01aa3917c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_write_t::offset</definition>
        <argsstring />
        <name>offset</name>
        <briefdescription>
<para>Offset to write. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="211" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="211" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__write__t_1ab8a8bd5bbd9043708cc975c97b84c39b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_write_t::val_len</definition>
        <argsstring />
        <name>val_len</name>
        <briefdescription>
<para>Value length. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="212" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="212" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__write__t_1ac8d0666951dc59db8c23d671a1474184" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_gatt_write_t::p_val</definition>
        <argsstring />
        <name>p_val</name>
        <briefdescription>
<para>Value pointer. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="213" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="213" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Attribute write request. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="214" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="206" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="207" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__write__t_1a017e9fda3ce497813708e593907d0fc8" virt="non-virtual"><scope>wiced_bt_gatt_write_t</scope><name>handle</name></member>
      <member prot="public" refid="structwiced__bt__gatt__write__t_1a41f6b2fc46122bce8caace50a220ad27" virt="non-virtual"><scope>wiced_bt_gatt_write_t</scope><name>is_prep</name></member>
      <member prot="public" refid="structwiced__bt__gatt__write__t_1afed2b3fd9e647b9245e34745b3f7b503" virt="non-virtual"><scope>wiced_bt_gatt_write_t</scope><name>is_req</name></member>
      <member prot="public" refid="structwiced__bt__gatt__write__t_1a1bc325282bad03df3b3de1a01aa3917c" virt="non-virtual"><scope>wiced_bt_gatt_write_t</scope><name>offset</name></member>
      <member prot="public" refid="structwiced__bt__gatt__write__t_1ac8d0666951dc59db8c23d671a1474184" virt="non-virtual"><scope>wiced_bt_gatt_write_t</scope><name>p_val</name></member>
      <member prot="public" refid="structwiced__bt__gatt__write__t_1ab8a8bd5bbd9043708cc975c97b84c39b" virt="non-virtual"><scope>wiced_bt_gatt_write_t</scope><name>val_len</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>